## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor
Interface ICuttablePart

All Known Implementing Classes:
  ASAColumnsEditorPage

    public interface ICuttablePart

Author:
  Idull

Method Summary
`boolean` `prepareCut()` Warning: Cut operation MUST proceed after this method is called and returns `true`, otherwise internal changes can not recover

Method Detail

### prepareCut

    boolean prepareCut()

  Warning: Cut operation MUST proceed after this method is called and returns `true`, otherwise internal changes can not recover

  Returns:
    `true` if preparation succeeds, and can proceed cut operation.